// priority: 0

onEvent('recipes', event => {
    //removal
    removeRecipeByID(event, [
    ])

	event.recipes.createMechanicalCrafting(PP('power_pot_mk1'), [
		'CCCCC',
		'C   C',
		'C A C',
		'C B C',
		'CCCCC',
	], {
	  A: BP("#hopper_botany_pots"),
	  B: SH("speedyhopper_mk1"),
	  C: CP("iron_2"),
	}).id(KJ(`${PP()}/mechanical_crafter/power_pot_mk1`))

	event.recipes.extendedcrafting.shaped_table(PP('power_pot_mk1'), [
		'CCCCC',
		'C   C',
		'C A C',
		'C B C',
		'CCCCC',
	], {
	  A: BP("#hopper_botany_pots"),
	  B: SH("speedyhopper_mk1"),
	  C: CP("iron_2"),
	}).id(KJ(`${PP()}/extended_crafting/power_pot_mk1`))

	event.recipes.extendedcrafting.shaped_table(PP('power_pot_mk2'), [
		'CCCCCCC',
		'C     C',
		'C     C',
		'C  A  C',
		'C  B  C',
		'C  B  C',
		'CCCCCCC',
	], {
	  A: PP('power_pot_mk1'),
	  B: SH("speedyhopper_mk2"),
	  C: CP("gold_2"),
	}).id(KJ(`${PP()}/extended_crafting/power_pot_mk2`))

	event.recipes.extendedcrafting.shaped_table(PP('power_pot_mk3'), [
		'CCCCCCC',
		'C     C',
		'C     C',
		'C  A  C',
		'C  B  C',
		'C  B  C',
		'CCCCCCC',
	], {
	  A: PP('power_pot_mk2'),
	  B: SH("speedyhopper_mk3"),
	  C: CP("diamond_2"),
	}).id(KJ(`${PP()}/extended_crafting/power_pot_mk3`))

	event.recipes.extendedcrafting.shaped_table(PP('power_pot_mk4'), [
		'CCCCCCCCC',
		'C       C',
		'C       C',
		'C       C',
		'C   A   C',
		'C   B   C',
		'C   B   C',
		'C   B   C',
		'CCCCCCCCC',
	], {
	  A: PP('power_pot_mk3'),
	  B: DU("ender_hopper"),
	  C: CP("emerald_2"),
	}).id(KJ(`${PP()}/extended_crafting/power_pot_mk4`))
})